io.vertx.mqtt.messages.codes

## Enum MqttUnsubAckReasonCode

- java.lang.Object
- - java.lang.Enum<MqttUnsubAckReasonCode>
  - - io.vertx.mqtt.messages.codes.MqttUnsubAckReasonCode

- All Implemented Interfaces:
    MqttReasonCode, Serializable, Comparable<MqttUnsubAckReasonCode>

      public enum MqttUnsubAckReasonCode
      extends Enum<MqttUnsubAckReasonCode>
      implements MqttReasonCode

  Reason codes for UNSUBACK MQTT message

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMPLEMENTATION_SPECIFIC_ERROR`
    `NO_SUBSCRIPTION_EXISTED`
    `NOT_AUTHORIZED`
    `PACKET_IDENTIFIER_IN_USE`
    `SUCCESS`
    `TOPIC_FILTER_INVALID`
    `UNSPECIFIED_ERROR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `value()`
    `static MqttUnsubAckReasonCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MqttUnsubAckReasonCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.mqtt.messages.codes.MqttReasonCode

      `isError`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final MqttUnsubAckReasonCode SUCCESS

    - #### NO_SUBSCRIPTION_EXISTED

          public static final MqttUnsubAckReasonCode NO_SUBSCRIPTION_EXISTED

    - #### UNSPECIFIED_ERROR

          public static final MqttUnsubAckReasonCode UNSPECIFIED_ERROR

    - #### IMPLEMENTATION_SPECIFIC_ERROR

          public static final MqttUnsubAckReasonCode IMPLEMENTATION_SPECIFIC_ERROR

    - #### NOT_AUTHORIZED

          public static final MqttUnsubAckReasonCode NOT_AUTHORIZED

    - #### TOPIC_FILTER_INVALID

          public static final MqttUnsubAckReasonCode TOPIC_FILTER_INVALID

    - #### PACKET_IDENTIFIER_IN_USE

          public static final MqttUnsubAckReasonCode PACKET_IDENTIFIER_IN_USE

  - ### Method Detail

    - #### values

          public static MqttUnsubAckReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MqttUnsubAckReasonCode c : MqttUnsubAckReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MqttUnsubAckReasonCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public byte value()

      Specified by:
        `value` in interface `MqttReasonCode`

Copyright © 2022 Eclipse. All rights reserved.